!!ARBfp1.0

#ambient light pass
#written by Rich Whitehouse
#---------------------------------------------------------------------

#texture0 is the decal

OUTPUT	out = result.color;
TEMP	dcal, temp;
PARAM	lightColor = program.env[1];

#fetch the textures
TEX	dcal, fragment.texcoord[0], texture[0], 2D;

MUL	dcal, fragment.color, dcal; #factor in ambient color

MUL	temp, dcal, lightColor;
MOV	temp.a, dcal.a; #set alpha component by decal

MOV	out, temp;

END
